Skip to content

Premium Bal Check

| View as Markdown

This API will confirm policy premium and balance confirmation by Affiliate. We must pass order id, amount and banktxnid in request. If the request has valid details, we will get a success response against the order id.

POST

https://payments.airpay.co.in/pay/v4URL_to_be_provided_by_affiliate
ParameterType ValueDescriptionValue Like
Content-Type requiredStringValue : application/x-www-form-urlencoded (required)application/x-www-form-urlencodeds
AFFKEY requiredstring
(1-10)
Unique key for every affiliate.YWltdGM
AIRPAYKEY requiredstring
(1-20)
Authentication key for airpay. (required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
CHECKSUM requiredstringSha256 of value of hash(‘sha256’,‘(oderid)(affiliateid)(ampunt)(companyid),AIRPAYKEY) (required)d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93
ParameterType ValueDescriptionValue Like
orderid requiredAlphanumeric
(20)
Reference txnid shared by affiliatewhile initiating the transactionMAWEB107051612117107
amount requiredNumericThe premium amount that will be deducted by insurance company (length 10,2; required)100
banktxnid requiredstringBank transaction reference idABCDXXXX
ParameterType ValueDescriptionValue Like
status requiredNumericApi status [1- success,0-fail](length 1)1,0
data requiredJsonarraydata provided will be with orderid
message requiredstring
(1-50)
Messagesuccess,Duplicate Order
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cookie: _csrf=103936bf3ssa2098165c59d08c9288e68459dcac60bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-urlencode 'order_id=MAWEB107051612117107' \
--data-urlencode 'affiliate_id=AF0028SF1644819013' \
--data-urlencode 'amount=100.00' \
--data-urlencode 'banktxnid=ABCDXXXX'
{
"status": "1",
"data": [
{
"orderid": 12345678901234567000
}
],
"message": "success"
}
{
"status": "0",
"data": [
{
"orderid": 12345678901234567000
}
],
"message": "Duplicate Order"
}